<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('color_themes', function (Blueprint $table) {
            $table->string('logo')->nullable()->after('primary_color');
            $table->string('favicon')->nullable()->after('logo');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('color_themes', function (Blueprint $table) {
            $table->dropColumn(['logo', 'favicon']);
        });
    }
};
